Bug 1468370 - Drop Down List Dialog does not keep default value for Integer type
Drop Down List Dialog does not keep default value for Integer type
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: eclarizi
Shveta
automate:dialog
: ZStream
Depends On: 1463827
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 16:49 EDT by Satoe Imaishi
Modified: 2017-09-14 11:51 EDT (History)
15 users (show)

See Also:
Fixed In Version: 5.8.1.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1463827
Environment:
Last Closed: 2017-08-02 13:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Dialog default value selected (103.96 KB, image/png)
2017-07-13 14:10 EDT, Shveta
no flags Details
no default value (87.33 KB, image/png)
2017-07-13 14:11 EDT, Shveta
no flags Details

  None (edit)
Comment 2 CFME Bot 2017-07-06 17:01:10 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c85ed6ce9cc962a109538a42daff3f5dc4eaebd5

commit c85ed6ce9cc962a109538a42daff3f5dc4eaebd5
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jun 27 14:21:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jul 6 16:58:36 2017 -0400

    Merge pull request #15455 from eclarizio/BZ1463827
    
    Fix for Drop Down List Dialog does not keep default value for Integer type
    (cherry picked from commit 65ae59ebd2bb9396f1b5e14f0755350f1b9b2776)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1468370

 app/models/dialog_field_sorted_item.rb          |  2 +-
 spec/models/dialog_field_drop_down_list_spec.rb |  4 +--
 spec/models/dialog_field_sorted_item_spec.rb    | 36 +++++++++++++++++++++++--
 3 files changed, 37 insertions(+), 5 deletions(-)
Comment 3 Shveta 2017-07-13 14:10 EDT
Created attachment 1297796 [details]
Dialog default value selected

Not fixed in  5.8.1.2.20170712143358_461cde4
Comment 4 Shveta 2017-07-13 14:11 EDT
Created attachment 1297797 [details]
no default value
Comment 5 CFME Bot 2017-07-19 10:09:04 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d93971ff2c730737921d644f747ce0bc0075b918

commit d93971ff2c730737921d644f747ce0bc0075b918
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Wed Jul 19 12:20:14 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jul 19 09:59:12 2017 -0400

    Merge pull request #1700 from eclarizio/BZ1463827
    
    Fix for Drop Down List Dialog does not keep default value for Integer type
    (cherry picked from commit 0116bb94f078a6d7ec71b7fae93b796644536d65)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1468370

 app/controllers/miq_ae_customization_controller/dialogs.rb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 8 Shveta 2017-07-24 15:51:58 EDT
Fixed.
Verified in 5.8.1.4.20170721182148_8ed7c73
Comment 10 errata-xmlrpc 2017-08-02 13:33:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.